Assign tenant data classifications to study role
put
/ec-auth-svc/rest/v1.0/dataclassification/studyrole/{studyRoleId}
Assign tenant data classifications with levels to study role.
Request
Path Parameters
-
studyRoleId(required): string(uuid)
Study role IDExample:
1442AC5976354C8BB403420E680283AD
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
array-
Array of:
object schema
DTO for Data Classification with specific levels per classification.
Nested Schema : schema
Type:
objectDTO for Data Classification with specific levels per classification.
Show Source
-
dataClassificationId(required): string
Unique identifier for the Data Classification.Example:
899E66BCE1D8471F96F58A396C416E0D -
dataClassificationLevel(required): string
List of classification levels assigned to the data classification.Example:
["SITE","DEPOT"]
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
stringExamples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object